package com.kdanmobile.admanager

import android.app.Activity

interface InterstitialAdManager {
    fun request(activity: Activity, adUnitId: String)
    fun show(adUnitId: String): Boolean
    fun destroy(activity: Activity)
    fun registerListener(interstitialAdListener: InterstitialAdListener)
    fun unregisterListener(interstitialAdListener: InterstitialAdListener)
    fun isLoading(adUnitId: String): Boolean
    fun isLoaded(adUnitId: String): Boolean
}